Microsoft issues urgent Internet Explorer security patches

Microsoft has urged users to patch their Internet Explorer browsers immediately after learning that cybercriminals are exploiting a flaw to execute arbitrary code on target devices.

The Internet Explorer flaw, dubbed CVE-2019-1367, involves a remote code execution (RCE) vulnerability that allows hackers to exploit the way the web browser’s scripting engine handles objects in memory.

This could corrupt memory in a way that could allow an attacker to execute arbitrary code and gain the same user rights as the target user. This flaw affects Internet Explorer versions 9, 10 and 11, the company confirmed.

“If the current user is logged on with administrative user rights, an attacker who successfully exploited the vulnerability could take control of an affected system,” the Microsoft Security Research Centre (MSRC) said.

“An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights.

“In a web-based attack scenario, an attacker could host a specially crafted website that is designed to exploit the vulnerability through Internet Explorer and then convince a user to view the website, for example, by sending an email.”

Although the Internet Explorer vulnerability is being actively exploited in the wild, its userbase has shrunk in recent years to represent just 2.61% of web users, according to W3 Counter figures.

A vast swathe of businesses may still be using Internet Explorer as the browser of choice in their workplace, however, particularly if they’re also persisting with older Windows systems.

Share this page:

Share on facebook
Facebook
Share on google
Google+
Share on twitter
Twitter
Share on linkedin
LinkedIn
505617-PHTVWL-667